summaryrefslogtreecommitdiffstats
path: root/satellit_installer/static_files/rclocal_script.sh
diff options
context:
space:
mode:
authorChristian Rößler2015-06-10 17:50:07 +0200
committerChristian Rößler2015-06-10 17:50:07 +0200
commit937736116877d97019f2c13b490a3b252ca8af92 (patch)
tree0c5c141a1442519bc0d6c47fab6c8e397d313b53 /satellit_installer/static_files/rclocal_script.sh
parent[SSPS] include file not named correctly (diff)
downloadsetup-scripts-937736116877d97019f2c13b490a3b252ca8af92.tar.gz
setup-scripts-937736116877d97019f2c13b490a3b252ca8af92.tar.xz
setup-scripts-937736116877d97019f2c13b490a3b252ca8af92.zip
[SSPS] Some more fixes.
Diffstat (limited to 'satellit_installer/static_files/rclocal_script.sh')
-rw-r--r--satellit_installer/static_files/rclocal_script.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/satellit_installer/static_files/rclocal_script.sh b/satellit_installer/static_files/rclocal_script.sh
index 43bfa40..f5a73ab 100644
--- a/satellit_installer/static_files/rclocal_script.sh
+++ b/satellit_installer/static_files/rclocal_script.sh
@@ -64,7 +64,7 @@ echo "SET PASSWORD FOR 'debian-sys-maint'@'localhost' = PASSWORD('$MYSQL_SYSMAIN
echo "$MYSQL_ROOT_NEW" > /root/mysqlpass
chmod 600 /root/mysqlpass
-echo "Konfigurationsdateien werden aktualisiert..." >> /root/init.log
+echo -n "Konfigurationsdateien werden aktualisiert..." >> /root/init.log
# bwLehrpool mysql pass
# Patch dmsd, syncdaemon, vmchooser-query-script
@@ -79,12 +79,13 @@ patchfiles "%MYSQL_OPENSLX_PASS%" "$MYSQL_OPENSLX_NEW" "$WWWDIR/
# Patching debian-sys-maint password into /etc/mysql/debian.cnf:
patchfiles 'password *=.*$' "password = $MYSQL_SYSMAINT_NEW" "/etc/mysql/debian.cnf"
-echo -n " ok." >> /root/init.log
+echo " ok." >> /root/init.log
-echo "Dienste werden aktiviert..." >> /root/init.log
+echo -n "Dienste werden aktiviert..." >> /root/init.log
which systemctl >/dev/null
if [ $? -eq 0 ]; then
+ echo "Systemd erkannt (systemctl vorhanden)." >> /root/init.log
if [ ! -f /etc/systemd/system/dmsd.service ]; then
cat > /etc/systemd/system/dmsd.service <<-HEREDOC
[Unit]
@@ -97,6 +98,7 @@ if [ $? -eq 0 ]; then
[Install]
WantedBy=multi-user.target
HEREDOC
+ echo "dmsd.service geschrieben." >> /root/init.log
fi
if [ ! -f /etc/systemd/system/taskmanager.service ]; then
cat > /etc/systemd/system/taskmanager.service <<-SOMEWHEREDOC
@@ -110,9 +112,10 @@ if [ $? -eq 0 ]; then
[Install]
WantedBy=multi-user.target
SOMEWHEREDOC
+ echo "taskmanager.service geschrieben." >> /root/init.log
fi
if [ ! -f /etc/systemd/system/syncdaemon.service ]; then
- cat > /etc/motd <<-ANOTHERDOC
+ cat > /etc/systemd/system/syncdaemon.service <<-ANOTHERDOC
[Unit]
Description=The syncdaemon is a bwLehrpool syncing daemon
@@ -123,10 +126,11 @@ if [ $? -eq 0 ]; then
[Install]
WantedBy=multi-user.target
ANOTHERDOC
+ echo "syncdaemon.service geschrieben." >> /root/init.log
fi
for i in dmsd.service taskmanager.service syncdaemon.service; do
systemctl enable $i
- [ $? -ne 0] && echo "Warnung - konnte systemd-Service $i nicht aktivieren!"
+ [ $? -ne 0] && echo "Warnung - konnte systemd-Service $i nicht aktivieren!" >> /root/init.log
done
else
# No systemctl -> no systemd, so: inittab-entry dmsd:
@@ -144,8 +148,6 @@ else
echo "synd:2:once:/opt/syncdaemon/syncdaemon.sh" >> /etc/inittab
fi
fi
-
-
echo -n " ok." >> /root/init.log
# Write MOTD